## simpleeval 0.8.5

=== debian/changelog ===
simpleeval (0.8.5-1) unstable; urgency=medium

  * Disabling failing test for python3.2.
  * Adapting section naming in gbp.conf to current git-buildpackage.
  * Merging upstream version 0.8.5.
  * Removing all patches, went upstream.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 30 Jun 2015 11:33:01 +0200

simpleeval (0.8.2-2) unstable; urgency=medium

  * Disabling temporarily tests for failing test_string_length.
  * Adding 02-add-test-fix.
  * Re-enabling build tests.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 27 Apr 2015 14:58:56 +0200

simpleeval (0.8.2-1) unstable; urgency=low

  * Initial packaging (Closes: #783188).

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 23 Apr 2015 19:25:39 +0200

## simpleeval 0.9.6

=== Makefile ===
test:
	python test_simpleeval.py
.PHONY: test

## simpleeval 0.8.7

=== debian/changelog ===
simpleeval (0.8.7-1) unstable; urgency=medium

  * Merging upstream version 0.8.7.
  * Updating d/copyright.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 09 Nov 2015 11:13:30 +0100

=== debian/control ===
Source: simpleeval
Section: python
Priority: optional
Maintainer: Debian Tryton Maintainers <maintainers@debian.tryton.org>
Uploaders: Mathias Behrle <mathiasb@m9s.biz>
Build-Depends:
 debhelper (>= 9),
 dh-python (>= 1.20130901-1~),
 python (>= 2.6.6-3~),
 python-setuptools,
 python3,
 python3-setuptools,
Standards-Version: 3.9.6
Homepage: https://github.com/danthedeckie/simpleeval
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tryton/simpleeval.git
Vcs-Git: git://anonscm.debian.org/tryton/simpleeval.git
X-Python-Version: >= 2.6

Package: python-simpleeval
Architecture: all
Depends: python-pkg-resources, ${misc:Depends}, ${python:Depends}
Description: Simple, safe single expression evaluator library (Python 2)
 Quick single file library for easily adding evaluatable expressions into
 Python projects.
 .
 Short, easy to use, safe and reasonably extensible expression evaluator.
 Designed for things like in a website where you want to allow the user to
 generate a string, or a number from some other input, without allowing full
 eval() or other unsafe or needlessly complex linguistics.
 .
 This package is targeting Python version 2.

Package: python3-simpleeval
Architecture: all
Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
Description: Simple, safe single expression evaluator library (Python 3)
 Quick single file library for easily adding evaluatable expressions into
 Python projects.
 .
 Short, easy to use, safe and reasonably extensible expression evaluator.
 Designed for things like in a website where you want to allow the user to
 generate a string, or a number from some other input, without allowing full
 eval() or other unsafe or needlessly complex linguistics.
 .
 This package is targeting Python version 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := simpleeval

# disabling failing test for python3.2, when building
# for wheezy backports
# https://github.com/danthedeckie/simpleeval/issues/6
export PYBUILD_DISABLE_python3.2=test

%:
	dh ${@} --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf $(PACKAGE_NAME).egg-info
	rm -rf PKG-INFO
	dh_auto_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/simpleeval/simpleeval-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## simpleeval 0.9.1

=== debian/changelog ===
simpleeval (0.9.1-2) unstable; urgency=medium

  * Update years in d/copyright.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 01 Dec 2016 23:37:19 +0100

simpleeval (0.9.1-1) unstable; urgency=medium

  * Updating to Standards-Version: 3.9.8, no changes needed.
  * Use releases directly from github rather from pypi.
  * Merging upstream version 0.9.1.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 01 Dec 2016 23:20:13 +0100

simpleeval (0.8.7-2) unstable; urgency=medium

  * Updating to standards version 3.9.7, no changes needed.
  * Updating VCS-Browser to https and canonical cgit URL.
  * Updating VCS-Git to https and canonical cgit URL.
  * Removing the braces from the dh call.
  * Removing the version constraint from python.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 08 Mar 2016 18:54:05 +0100

## simpleeval 0.9.3

=== debian/changelog ===
simpleeval (0.9.3-1) unstable; urgency=medium

  * Merging upstream version 0.9.3.
  * Update years in d/copyright.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 24 Jan 2017 17:15:09 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Build-Depends:
  debhelper (>= 9),
  dh-python (>= 1.20130901-1~),
- python (>= 2.6.6-3~),
+ python,
  python-setuptools,
  python3,
  python3-setuptools,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/danthedeckie/simpleeval
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tryton/simpleeval.git
-Vcs-Git: git://anonscm.debian.org/tryton/simpleeval.git
+Vcs-Browser: https://anonscm.debian.org/cgit/tryton/simpleeval.git
+Vcs-Git: https://anonscm.debian.org/cgit/tryton/simpleeval.git
 X-Python-Version: >= 2.6
 
 Package: python-simpleeval

## simpleeval 0.9.5

=== debian/changelog ===
simpleeval (0.9.5-1) unstable; urgency=medium

  * Change the maintainer address to tryton-debian@lists.alioth.debian.org
    (Closes: #865109).
  * Use the preferred https URL format in the copyright file.
  * Bump the Standards-Version to 4.0.1.
  * Bump the Standards-Version to 4.1.0, no changes needed.
  * Merging upstream version 0.9.5.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 04 Sep 2017 16:23:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: simpleeval
 Section: python
 Priority: optional
-Maintainer: Debian Tryton Maintainers <maintainers@debian.tryton.org>
+Maintainer: Debian Tryton Maintainers <tryton-debian@lists.alioth.debian.org>
 Uploaders: Mathias Behrle <mathiasb@m9s.biz>
 Build-Depends:
  debhelper (>= 9),
@@ -10,7 +10,7 @@
  python-setuptools,
  python3,
  python3-setuptools,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/danthedeckie/simpleeval
 Vcs-Browser: https://anonscm.debian.org/cgit/tryton/simpleeval.git
 Vcs-Git: https://anonscm.debian.org/cgit/tryton/simpleeval.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export PYBUILD_DISABLE_python3.2=test
 
 %:
-	dh ${@} --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	rm -rf $(PACKAGE_NAME).egg-info

## simpleeval 0.9.6

=== debian/changelog ===
simpleeval (0.9.6-1) unstable; urgency=medium

  * Bump the Standards-Version to 4.1.1, no changes needed.
  * Update year of debian copyright.
  * Updating to standards version 4.1.3, no changes needed.
  * control: update Vcs-Browser and Vcs-Git
  * Set the Maintainer address to team+tryton-team@tracker.debian.org.
  * Merging upstream version 0.9.6.
  * Updating to standards version 4.2.1, no changes needed.
  * Remove obsolete X-Python-Version: >= 2.6.
  * Bump debhelper compat to 11.
  * Install the package test script in /usr/share/<pkg_name>.
  * Add an autopkgtest test suite.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 22 Nov 2018 13:52:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: simpleeval
+Maintainer: Debian Tryton Maintainers <team+tryton-team@tracker.debian.org>
+Uploaders: Mathias Behrle <mathiasb@m9s.biz>
 Section: python
 Priority: optional
-Maintainer: Debian Tryton Maintainers <tryton-debian@lists.alioth.debian.org>
-Uploaders: Mathias Behrle <mathiasb@m9s.biz>
-Build-Depends:
- debhelper (>= 9),
- dh-python (>= 1.20130901-1~),
- python,
- python-setuptools,
- python3,
- python3-setuptools,
-Standards-Version: 4.1.0
+Build-Depends: debhelper (>= 11~),
+               dh-python (>= 1.20130901-1~),
+               python,
+               python-setuptools,
+               python3,
+               python3-setuptools
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/tryton-team/simpleeval
+Vcs-Git: https://salsa.debian.org/tryton-team/simpleeval.git
 Homepage: https://github.com/danthedeckie/simpleeval
-Vcs-Browser: https://anonscm.debian.org/cgit/tryton/simpleeval.git
-Vcs-Git: https://anonscm.debian.org/cgit/tryton/simpleeval.git
-X-Python-Version: >= 2.6
 
 Package: python-simpleeval
 Architecture: all
-Depends: python-pkg-resources, ${misc:Depends}, ${python:Depends}
+Depends: python-pkg-resources,
+         ${misc:Depends},
+         ${python:Depends}
 Description: Simple, safe single expression evaluator library (Python 2)
  Quick single file library for easily adding evaluatable expressions into
  Python projects.
@@ -32,7 +32,9 @@
 
 Package: python3-simpleeval
 Architecture: all
-Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
+Depends: python3-pkg-resources,
+         ${misc:Depends},
+         ${python3:Depends}
 Description: Simple, safe single expression evaluator library (Python 3)
  Quick single file library for easily adding evaluatable expressions into
  Python projects.

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,12 @@
 	rm -rf $(PACKAGE_NAME).egg-info
 	rm -rf PKG-INFO
 	dh_auto_clean
+
+
+override_dh_install:
+	dh_install
+	# Copy the test suite to a decent location
+	mkdir -p debian/python-simpleeval/usr/share/python-simpleeval
+	cp test_simpleeval.py debian/python-simpleeval/usr/share/python-simpleeval
+	mkdir -p debian/python3-simpleeval/usr/share/python3-simpleeval
+	cp test_simpleeval.py debian/python3-simpleeval/usr/share/python3-simpleeval

=== debian/tests/control ===
Depends: python-simpleeval
Test-Command: cd "$ADTTMP" ; python -c "import simpleeval ; dir(simpleeval)"

Depends: python3-simpleeval
Test-Command: cd "$ADTTMP" ; python3 -c "import simpleeval ; dir(simpleeval)"

Depends: python-simpleeval, python-pytest
Tests: run-testsuite
Restrictions: allow-stderr

Depends: python3-simpleeval, python3-pytest
Tests: run-testsuite3
Restrictions: allow-stderr

## simpleeval 0.9.10

=== Makefile ===
test:
	python test_simpleeval.py

autotest:
	find . -name \*.py -not -path .\/.v\* | entr make test

.PHONY: test

dist/: setup.py simpleeval.py README.rst
	python setup.py build sdist
	twine check dist/*

pypi: test dist/
	twine check dist/*
	twine upload dist/*

clean:
	rm -rf build
	rm -rf dist
	rm file.txt

=== debian/changelog ===
simpleeval (0.9.10-1) unstable; urgency=medium

  * Merging upstream version 0.9.10 (Closes: #950852).

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 10 Feb 2020 11:10:45 +0100

simpleeval (0.9.6-2) unstable; urgency=medium

  * Updating to Standards-Version 4.4.0, no changes needed.
  * Drop the Python 2 support (Closes: #938482).
  * Bump the debian copyright year.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 30 Aug 2019 21:19:01 +0200

=== debian/control ===
Source: simpleeval
Maintainer: Debian Tryton Maintainers <team+tryton-team@tracker.debian.org>
Uploaders: Mathias Behrle <mathiasb@m9s.biz>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python (>= 1.20130901-1~),
               python3,
               python3-setuptools
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/tryton-team/simpleeval
Vcs-Git: https://salsa.debian.org/tryton-team/simpleeval.git
Homepage: https://github.com/danthedeckie/simpleeval

Package: python3-simpleeval
Architecture: all
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Description: Simple, safe single expression evaluator library (Python 3)
 Quick single file library for easily adding evaluatable expressions into
 Python projects.
 .
 Short, easy to use, safe and reasonably extensible expression evaluator.
 Designed for things like in a website where you want to allow the user to
 generate a string, or a number from some other input, without allowing full
 eval() or other unsafe or needlessly complex linguistics.
 .
 This package is targeting Python version 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := simpleeval

# disabling failing test for python3.2, when building
# for wheezy backports
# https://github.com/danthedeckie/simpleeval/issues/6
export PYBUILD_DISABLE_python3.2=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf $(PACKAGE_NAME).egg-info
	rm -rf PKG-INFO
	dh_auto_clean


override_dh_install:
	dh_install
	# Copy the test suite to a decent location
	mkdir -p debian/python3-simpleeval/usr/share/python3-simpleeval
	cp test_simpleeval.py debian/python3-simpleeval/usr/share/python3-simpleeval

=== debian/tests/control ===
Depends: python3-simpleeval
Test-Command: cd "$ADTTMP" ; python3 -c "import simpleeval ; dir(simpleeval)"

Depends: python3-simpleeval, python3-pytest
Tests: run-testsuite3
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/simpleeval-$1\.tar\.gz/ \
  https://github.com/danthedeckie/simpleeval/releases/ .*/(\d\S+)\.tar\.gz

## simpleeval 0.9.11

=== Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 .PHONY: test
 
-dist/: setup.py simpleeval.py README.rst
-	python setup.py build sdist
+dist/: setup.cfg simpleeval.py README.rst
+	python -m build
 	twine check dist/*
 
 pypi: test dist/
@@ -17,4 +17,3 @@
 clean:
 	rm -rf build
 	rm -rf dist
-	rm file.txt

=== debian/changelog ===
simpleeval (0.9.11-1) unstable; urgency=medium

  * Updating to standards version 4.5.1, no changes needed.
  * Point the download URL to Pypi, the old URL is not working any more.
  * Merging upstream version 0.9.11 (Closes: #997606).
  * Add 01-PEP517.patch to build the now setup.py-less package.
  * Replace deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * Bump to Standards-Version 4.6.0.1, no changes needed.
  * Add Rules-Requires-Root: no in d/control.
  * Bump debian copyright.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 26 Oct 2021 09:46:39 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
                dh-python (>= 1.20130901-1~),
                python3,
                python3-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/tryton-team/simpleeval
 Vcs-Git: https://salsa.debian.org/tryton-team/simpleeval.git
 Homepage: https://github.com/danthedeckie/simpleeval
+Rules-Requires-Root: no
 
 Package: python3-simpleeval
 Architecture: all

## simpleeval 0.9.12

=== Makefile ===
--- 
+++ 
@@ -17,3 +17,14 @@
 clean:
 	rm -rf build
 	rm -rf dist
+
+coverage:
+	coverage run test_simpleeval.py
+
+lint:
+	black --check --diff simpleeval.py test_simpleeval.py
+	isort --check-only --diff simpleeval.py test_simpleeval.py
+
+format:
+	black simpleeval.py test_simpleeval.py
+	isort simpleeval.py	test_simpleeval.py

=== debian/changelog ===
simpleeval (0.9.12-1) unstable; urgency=medium

  * Merging upstream version 0.9.12.
  * Bump to Standards-Version 4.6.1.0, no changes needed.
  * Bump d/copyright year.
  * Remove the 01-PEP517.patch in favor of the new pybuild-plugin-
    pyproject plugin.
  * Use pybuild-plugin-pyproject as build system.
  * Remove duplicate license.
  * Use debhelper-compat (= 13).

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 09 Sep 2022 20:29:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,14 @@
 Uploaders: Mathias Behrle <mathiasb@m9s.biz>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               dh-python (>= 1.20130901-1~),
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               pybuild-plugin-pyproject,
                python3,
-               python3-setuptools
-Standards-Version: 4.6.0.1
+               python3-build,
+               python3-setuptools,
+               python3-wheel
+Standards-Version: 4.6.1.0
 Vcs-Browser: https://salsa.debian.org/tryton-team/simpleeval
 Vcs-Git: https://salsa.debian.org/tryton-team/simpleeval.git
 Homepage: https://github.com/danthedeckie/simpleeval

## simpleeval 0.9.13

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,8 @@
 lint:
 	black --check --diff simpleeval.py test_simpleeval.py
 	isort --check-only --diff simpleeval.py test_simpleeval.py
+	pylint simpleeval.py test_simpleeval.py
+	mypy simpleeval.py test_simpleeval.py
 
 format:
 	black simpleeval.py test_simpleeval.py

=== debian/changelog ===
simpleeval (0.9.13-1) unstable; urgency=medium

  * Add a salsa-ci.yml
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * Bump the Standards-Version to 4.6.2, no changes needed.
  * Do not take into account python package metadata when building twice
    (Closes: #1047962).
  * Merging upstream version 0.9.13.
  * Update year of debian copyright.
  * Update d/copyright.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 03 Jul 2024 09:49:53 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-build,
                python3-setuptools,
                python3-wheel
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/tryton-team/simpleeval
 Vcs-Git: https://salsa.debian.org/tryton-team/simpleeval.git
 Homepage: https://github.com/danthedeckie/simpleeval

## simpleeval 1.0.0

=== Makefile ===
test:
	python -Werror test_simpleeval.py

autotest:
	find . -name \*.py -not -path .\/.v\* | entr make test

.PHONY: test

dist/: setup.cfg simpleeval.py README.rst
	python -m build
	twine check dist/*

pypi: test dist/
	twine check dist/*
	twine upload dist/*

clean:
	rm -rf build
	rm -rf dist

coverage:
	coverage run test_simpleeval.py

lint:
	ruff check simpleeval.py test_simpleeval.py
	ruff format --check simpleeval.py test_simpleeval.py
	mypy simpleeval.py test_simpleeval.py

format:
	ruff check --fix-only simpleeval.py test_simpleeval.py
	ruff format simpleeval.py test_simpleeval.py

=== debian/changelog ===
simpleeval (1.0.0-1) unstable; urgency=medium

  * Bump the Standards-Version to 4.7.0, no changes needed.
  * Merging upstream version 1.0.0 (Closes: #1084107).
  * Remove Depends on python3-pkg-resources (Closes: #1083769).

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 09 Oct 2024 11:35:53 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-build,
                python3-setuptools,
                python3-wheel
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/tryton-team/simpleeval
 Vcs-Git: https://salsa.debian.org/tryton-team/simpleeval.git
 Homepage: https://github.com/danthedeckie/simpleeval
@@ -18,8 +18,7 @@
 
 Package: python3-simpleeval
 Architecture: all
-Depends: python3-pkg-resources,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends}
 Description: Simple, safe single expression evaluator library (Python 3)
  Quick single file library for easily adding evaluatable expressions into

## simpleeval 1.0.3

=== debian/changelog ===
simpleeval (1.0.3-1) unstable; urgency=medium

  * Adding upstream version 1.0.3.
  * Add python3-hatchling to BuildDepends.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 06 Nov 2024 12:56:33 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                pybuild-plugin-pyproject,
                python3,
                python3-build,
+               python3-hatchling,
                python3-setuptools,
                python3-wheel
 Standards-Version: 4.7.0

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,5 @@
 	# Copy the test suite to a decent location
 	mkdir -p debian/python3-simpleeval/usr/share/python3-simpleeval
 	cp test_simpleeval.py debian/python3-simpleeval/usr/share/python3-simpleeval
+	# Remove duplicate license
+	rm -f debian/python*-simpleeval/usr/lib/python*/dist-packages/simpleeval*.dist-info/LICENCE

=== debian/tests/control ===
Depends: python3-simpleeval
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import simpleeval ; dir(simpleeval)"

Depends: python3-simpleeval, python3-pytest
Tests: run-testsuite3
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/simpleeval/simpleeval-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
